Package org.apache.synapse.commons.staxon.core.base

# Class AbstractXMLOutputFactory

java.lang.Object
javax.xml.stream.XMLOutputFactory
org.apache.synapse.commons.staxon.core.base.AbstractXMLOutputFactory

Direct Known Subclasses:
  `JsonXMLOutputFactory`

public abstract class AbstractXMLOutputFactory extends XMLOutputFactory
Abstract XML output factory.

- ## Field Summary

  ### Fields inherited from class javax.xml.stream.XMLOutputFactory

  `IS_REPAIRING_NAMESPACES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractXMLOutputFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XMLEventWriter`
  `createXMLEventWriter(OutputStream stream)`
  `XMLEventWriter`
  `createXMLEventWriter(OutputStream stream, String encoding)`
  `XMLEventWriter`
  `createXMLEventWriter(Writer stream)`
  `abstract XMLEventWriter`
  `createXMLEventWriter(XMLStreamWriter writer)`
  `XMLEventWriter`
  `createXMLEventWriter(Result result)`
  `XMLStreamWriter`
  `createXMLStreamWriter(Result result)`
  `Object`
  `getProperty(String name)`
  `boolean`
  `isPropertySupported(String name)`
  `void`
  `setProperty(String name, Object value)`

  ### Methods inherited from class javax.xml.stream.XMLOutputFactory

  `createXMLStreamWriter, createXMLStreamWriter, createXMLStreamWriter, newDefaultFactory, newFactory, newFactory, newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractXMLOutputFactory

    public AbstractXMLOutputFactory()

- ## Method Details

  - ### createXMLStreamWriter

    public XMLStreamWriter createXMLStreamWriter(Result result) throws XMLStreamException
    Specified by:
      `createXMLStreamWriter` in class `XMLOutputFactory`
    Throws:
      `XMLStreamException`

  - ### createXMLEventWriter

    public XMLEventWriter createXMLEventWriter(Result result) throws XMLStreamException
    Specified by:
      `createXMLEventWriter` in class `XMLOutputFactory`
    Throws:
      `XMLStreamException`

  - ### createXMLEventWriter

    public XMLEventWriter createXMLEventWriter(OutputStream stream) throws XMLStreamException
    Specified by:
      `createXMLEventWriter` in class `XMLOutputFactory`
    Throws:
      `XMLStreamException`

  - ### createXMLEventWriter

    public XMLEventWriter createXMLEventWriter(OutputStream stream, String encoding) throws XMLStreamException
    Specified by:
      `createXMLEventWriter` in class `XMLOutputFactory`
    Throws:
      `XMLStreamException`

  - ### createXMLEventWriter

    public XMLEventWriter createXMLEventWriter(Writer stream) throws XMLStreamException
    Specified by:
      `createXMLEventWriter` in class `XMLOutputFactory`
    Throws:
      `XMLStreamException`

  - ### createXMLEventWriter

    public abstract XMLEventWriter createXMLEventWriter(XMLStreamWriter writer) throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### isPropertySupported

    public boolean isPropertySupported(String name)
    Specified by:
      `isPropertySupported` in class `XMLOutputFactory`

  - ### getProperty

    public Object getProperty(String name) throws IllegalArgumentException
    Specified by:
      `getProperty` in class `XMLOutputFactory`
    Throws:
      `IllegalArgumentException`

  - ### setProperty

    public void setProperty(String name, Object value) throws IllegalArgumentException
    Specified by:
      `setProperty` in class `XMLOutputFactory`
    Throws:
      `IllegalArgumentException`